Connexion

Besoin d'aide ? Une question ? Un avis ? Rejoignez nous sur notre salon IRC pour clavarder

Forum

Système et matériels » Installation et configuration Installation automatique Je teste...

Troumad Membre non connecté

Rang

Avatar

Inscrit le : 16/10/2010 à 10h07

Localisation : Genas (69)

Messages: 2572

Le 07/07/2020 à 22h23
Bonjour

Je viens de tester un petit script pour recopier l'installation d'un PC sur un autre. Je récupère dans /var/lib/urpmi le fichier installed-through-deps.list et je me fait un fichier de commande que j'exécute :

Code :
[root@localhost ~]# cat installed-through-deps.list | cut -d'(' -f1  | sed  's\^\urpmi --auto \' > list_rpm
[root@localhost ~]# sh list_rpm


Je fais le test. Si vous pensez qu'il ne devrait pas y avoir de problèmes, je pense que ça peut me simplifier la vie !


Je suis en train de voir qu'il y a des messages qui ne me conviennent pas :
Code :
Le paquetage lib64alsa-oss0-1.1.8-2.mga8.x86_64 est déjà installé
Marque lib64alsa-oss0 comme étant manuellement installé, il ne sera pas considéré comme un paquet orphelin
writing /var/lib/rpm/installed-through-deps.list


Je pense que ça ne sera pas une bonne idée pour faire le ménage dans les paquets installés par la suite. Edité par Troumad Le 07/07/2020 à 22h25


Amicalement Votre
Bernard SIAUD Alias Troumad
Site web    
Jybz Membre non connecté

Rang

Avatar

Modérateur Administrateur

Inscrit le : 10/10/2018 à 10h26

Messages: 3102

Le 20/08/2020 à 23h53
Dans quel cas de figure on utiliserait ce script ?
Je n'en vois pas.

L'installation actuelle va bien ? Alors aucune raison de réinstaller.
L'installation actuelle va mal ? Alors aucune raison de réinstaller ce cocktail de logiciel qui en sont peut-être la source de ce mal, mieux vaut réinstaller sans logiciel inutile qu'on traine avec le temps.
L'installation va sur un autre ordinateur ? Est-ce exactement le même ordinateur (graphique etc) ? Oui, on peut déplacer le disque dur, ou le dupliquer. Non, il vaut mieux réinstaller, car les modules ne sont pas les mêmes nécessaires.
Est-ce la même version de mageia ? Non, il vaut mieux réinstaller.

En fait, il vaut mieux ne pas reprendre cette liste de logiciel tel quel, mais de faire TA propre liste des logiciels que tu souhaites réellement, une liste "minimum", par exemple :
Prendre uniquement knetwalk, et ne pas prendre knetwalk ET knetwalk-handbook. Urpmi installera les dépendances nécessaires, peut-être plus, peut-être moins ! Les dépendences évoluent au fil des versions de chaque logiciel.
   
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie